<template>
  <div>
    <el-descriptions title="产品信息列表" :column="1">
        <el-descriptions-item label="标的产品">{{ product.productName }}</el-descriptions-item>
        <el-descriptions-item label="调查标的说明">{{ product.productDescription }}</el-descriptions-item>
        <el-descriptions-item label="调查区域">{{ product.surveyArea }}</el-descriptions-item>
        <el-descriptions-item label="产品图">
          {{ product.address }}
        </el-descriptions-item>
        <el-descriptions-item label="检索策略">{{ product.searchPolicy }}</el-descriptions-item>
        <el-descriptions-item label="检索截止日期">{{ product.deadLine }}</el-descriptions-item>
        <el-descriptions-item label="关注企业/发明人/技术方向">{{product.focusInformation}}</el-descriptions-item>
    </el-descriptions>
  </div>
</template>

<script>
export default {
  props: ["reportId","patent"],
  data() {
    return {
      product:{},
    }
  },
  mounted() {
    console.log(this.reportId,this.patent);
    this.getPriduct();
  },
  methods: {
    getPriduct() {
      let a = {
                reportId:this.reportId
            }
            this.$api.getProduct(a).then(response=>{
              if (response.code == 200) {
                    this.product = response.data
                }
            })
    }
  },
}
</script>

<style lang="scss" scoped>

</style>